Approve or reject quotes on a clearance request

Approves or rejects each item in a clearance request that is `PENDING_DECISION`. Every request item currently in the clearance request must be included in the payload. When every item is rejected the clearance request is cancelled. Accepted items move on to collection and hand-off to the clearance partner. **Token scopes**: `it-service-requests:write`

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

clearance_request_idstringRequiredformat: "uuid"
Unique identifier of the clearance request

Request

Per-item decisions for the clearance request

dataobjectRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error